Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.cache.change
Class AbstractSequencingChange

    java.lang.Object
      org.modeshape.jcr.cache.change.Change
          org.modeshape.jcr.cache.change.AbstractNodeChange
              org.modeshape.jcr.cache.change.AbstractSequencingChange

Direct Known Subclasses:
  NodeSequenced, NodeSequencingFailure

    public abstract class AbstractSequencingChange

extends AbstractNodeChange

Base class for the changes involving sequencing

Field Summary

Fields inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`path`

Constructor Summary
`protected` | `AbstractSequencingChange(NodeKey sequencedNodeKey, Path sequencedNodePath, String outputPath, String userId, String selectedPath, String sequencerName)`

Method Summary
`String` | `getOutputPath()`
`String` | `getSelectedPath()`
`String` | `getSequencerName()`
`String` | `getUserId()`

Methods inherited from class org.modeshape.jcr.cache.change.AbstractNodeChange
`getKey, getPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSequencingChange

    protected AbstractSequencingChange(NodeKey sequencedNodeKey,
                                       Path sequencedNodePath,
                                       String outputPath,
                                       String userId,
                                       String selectedPath,
                                       String sequencerName)

Method Detail

### getOutputPath

    public String getOutputPath()

### getSelectedPath

    public String getSelectedPath()

### getSequencerName

    public String getSequencerName()

### getUserId

    public String getUserId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.